Exiv2::UtilsVideo Class Reference

Class of utility functions used by the video code. More...

`#include <utilsvideo.hpp>`

## Static Public Member Functions

static bool | compareTagValue (Exiv2::DataBuf &buf, const char *str)
| compare a buffer and string More...
static bool | compareTagValue (Exiv2::DataBuf &buf, const char arr[][5], int32_t arraysize)
| compare a buffer and an array of strings More...
static bool | simpleBytesComparison (Exiv2::DataBuf &buf, const char *str, int32_t size)
| compare a buffer and string More...

## Detailed Description

Class of utility functions used by the video code.

## Member Function Documentation

## compareTagValue() [1/2]

static bool Exiv2::UtilsVideo::compareTagValue | ( | Exiv2::DataBuf & | buf,
|  | const char * | str
| ) |  |

static

compare a buffer and string

Parameters

  buf | - binary buffer
  str | - nul terminated C string

Returns
  true if match

## compareTagValue() [2/2]

static bool Exiv2::UtilsVideo::compareTagValue | ( | Exiv2::DataBuf & | buf,
|  | const char | arr[][5],
|  | int32_t | arraysize
| ) |  |

static

compare a buffer and an array of strings

Parameters

  buf | - binary buffer
  arr | - array of C strings C
  arraysize | - length of arr

Returns
  true if match

## simpleBytesComparison()

static bool Exiv2::UtilsVideo::simpleBytesComparison | ( | Exiv2::DataBuf & | buf,
|  | const char * | str,
|  | int32_t | size
| ) |  |

static

compare a buffer and string

Parameters

  buf | - binary buffer
  str | - C string (not guaranteed nul terminated)
  size | - number of bytes to compare

Returns
  true if match

The documentation for this class was generated from the following file:

- utilsvideo.hpp